Subject: Re: [PATCH 1/5] cmake: align CTest definition with Git's CI runs

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Aug 2022 08:15:42 -0700

Johannes Schindelin <[email-masked]> writes:

> Hi Junio,
>
> On Wed, 10 Aug 2022, Junio C Hamano wrote:
>
>> "Johannes Schindelin via GitGitGadget" <[email-masked]>
>> writes:
>>
>> > While at it, enable the command trace via `-x` and verbose output via
>> > `-v`, otherwise it would be near impossible to diagnose any problems.
>>
>> This sounds like a completely unrelated change.
>
> It may sound like it, but it is not. In order to make sense of the broken
> tests, I needed access to more verbose output than our test scripts
> provide by default.
>
> When running the test suite on the command-line, it is easy to tell the
> user "oh, if you need more information, just call the test script with
> these here options: ...".
>
> This is not an option when running the tests within Visual Studio.

I gave an example of "CI environment it is cumbersome to go back and
run only a single one" in the review you are responding to that may
explain why such a change is needed, and you gave us exactly the
context that was lacking here.  The environment does not let users
run the tests as anything but a single monolithic ball of wax.

> Does this clarify the intention and validity of the proposed patch? If so,
> I will gladly try my best to improve the commit message to explain that
> intention better.

It explains why -x -v is needed and needs to be a part of VS+CMake
topic, and it will help readers to have it in the explanation.  It
still does not justify why it has to be a part of a step to omit
bin-warppers and skip chain-lint that has nothing to do it, though.

Thanks.